Optionally subtract sky model from DRW before combining DRWs in comobsadd

04/08/2023 08:36 AM - Knödlseder Jürgen

Status: Closed Start date: 04/08/2023

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

The DRW generated by comobsbin are Phibar normalised to the DREs. Formally, the DRW should only represent the expected

background rate, and given a specific sky model, the corresponding DRM should be subtracted from the DRW before combining all

DRWs into a single DRW.

Since comobsadd already expects a model on input (that does not seem to be used so far), it should be rather easy to implement the

DRM subtraction by adding a DRM computation step in the  comobsadd._combine_drws() method. Since this step will take some

time (for the computation of the DRMs) a parameter should be added to make the subtraction step optional (e.g. drwcorr or

something like that).

History

#1 - 04/08/2023 05:08 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

Since the input model was not used in comobsadd I used the specification of an input model with sky components as the condition to correct the

Phibar normalisation of the DRW by subtracting the model prediction.

#2 - 04/17/2023 10:12 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Merged into devel.
